![Alt text](pics/mipg-research.jpg?raw=true "Optional Title")
### MIPG Developed Software
Software development effort within MIPG dates back to the late 1970s and early 1980s. The first ever software package for 3D medical image visualization and analysis was brought out in 1980 by MIPG [1] and subsequently upgraded and distributed worldwide with source code [2] before the term “open source” was coined for software exchange. With the advent of computer workstations, these early packages were substantially expanded and implemented on the newer machines.

3DVIEWNIX [3]: A data-, machine-, and application independent software system for the visualization and analysis of multidimensional images, released in 1993, was a UNIX and X-windows based software system for the interactive visualization, manipulation, processing, and analysis of multidimensional, multimodality image data. This system has been distributed to 100s of sites worldwide and to 191 sites with source code. Several specialized packages have been developed based on this system for specific medical applications over the years.

CAVASS [4] is the most recent in the lineage of software MIPG developed and distributed. It subsumes 3DVIEWNIX. Additionally, its implementation is for Windows, UNIX, and Linux and is parallelized for compute intensive operations to work on computer clusters in a portable manner.

#### get CAVASS
CAVASS is available as executable binaries for Windows.
It can also be built from source code for Linux, Mac, and Windows.

*Windows binaries:*
A released version for the Windows platform is available as a zip file. On most Windows platforms the package can be extracted and run in place. (Do not remove cavass.exe from the Release folder; you can create a shortcut to cavass.exe and move the shortcut to the desktop or other location.) It may be necessary to install the Microsoft Visual C++ runtime library by downloading and running VC_redist.x64.exe (https://aka.ms/vs/17/release/vc_redist.x64.exe).

*Windows from source code:*
The file win-build-notes.txt in the source bundle contains detailed instructions for installing under Windows.

*Linux from source code:*
The file linux-install-notes.txt in the source bundle contains detailed instructions for installing under OpenSUSE Linux or Ubuntu.

*Mac from source code:*
The file mac-install-notes.txt in the source bundle contains detailed instructions for installing under Mac OS.

#### get 3DVIEWNIX
3DVIEWNIX (A data-, machine-, and application- independent software system for the visulization and analysis of multidimensional images; source code and user manual) can be downloaded from http://www.mipg.upenn.edu/Vnews/index.html.

#### References
[1] Udupa, J.K.: Display - A system of programs for two- and three-dimensional display of medical objects from CT data, Technical Report MIPG41, Medical Image Processing Group, Department of Computer Science, SUNY/Buffalo, Buffalo, New York, 1980 (112 pages).

[2] Udupa, J.K.: DISPLAY82 - A system of programs for the display of 3D information in CT data, Technical Report MIPG67, Medical Image Processing Group, Department of Radiology, University of Pennsylvania, Philadelphia, April 1983 (205 pages).

[3] Udupa, J.K. Odhner, D., Samarasekera, S., Goncalves, R., Iyer, K., Venugopal, K., and Furuie, S.: 3DVIEWNIX: An open, transportable, multidimensional, multimodality, multiparametric imaging software system, SPIE Proceedings,2164:58-73, 1994.

[4] Grevera, G., Udupa, J.K., Odhner, D., Zhuge, Y., Souza, A., Iwanaga, T. and Mishra, S.: CAVASS: A computer-assisted visualization and analysis software system, Journal of Digital Imaging, 20: 101–118. 2007.
